Package org.gradle.nativeplatform.test.xctest.tasks

# Class XcTest

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.testing.AbstractTestTask
org.gradle.nativeplatform.test.xctest.tasks.XcTest

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Reporting<TestTaskReports>`, `Task`, `VerificationTask`, `org.gradle.util.Configurable<Task>`

@Incubating public class XcTest extends AbstractTestTask
Executes XCTest tests. Test are always run in a single execution.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`XcTest()`

## Method Summary

Modifier and Type
Method
Description
`protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.XCTestTestExecutionSpec>`
`createTestExecuter()`
Creates test executer.
`protected org.gradle.nativeplatform.test.xctest.internal.XCTestTestExecutionSpec`
`createTestExecutionSpec()`
Creates test execution specification.
`protected File`
`getRunScript()`
Workaround for when the task is given an input file that doesn't exist
`RegularFileProperty`
`getRunScriptFile()`
Returns test suite bundle or executable location
`DirectoryProperty`
`getTestInstallDirectory()`
Sets the test suite bundle or executable location
`DirectoryProperty`
`getWorkingDirectory()`
Returns the working directory property for this test.

### Methods inherited from class org.gradle.api.tasks.testing.AbstractTestTask

`addTestListener, addTestOutputListener, afterSuite, afterTest, beforeSuite, beforeTest, executeTests, getBinaryResultsDirectory, getBinResultsDir, getBuildOperationExecutor, getIgnoreFailures, getInetAddressFactory, getInstantiator, getListenerManager, getProgressLoggerFactory, getReports, getTestLogging, getTextOutputFactory, onOutput, removeTestListener, removeTestOutputListener, reports, reports, setBinResultsDir, setIgnoreFailures, testLogging, testLogging`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XcTest

public XcTest()

## Method Details

### createTestExecutionSpec

protected org.gradle.nativeplatform.test.xctest.internal.XCTestTestExecutionSpec createTestExecutionSpec()
Creates test execution specification. For internal use only.

Specified by:
  `createTestExecutionSpec` in class `AbstractTestTask`
Since:
  4.4

### getTestInstallDirectory

@InputDirectory public DirectoryProperty getTestInstallDirectory()
Sets the test suite bundle or executable location

Since:
  4.4

### getRunScriptFile

@Internal("Covered by getRunScript") public RegularFileProperty getRunScriptFile()
Returns test suite bundle or executable location

Since:
  4.4

### getWorkingDirectory

@Internal public DirectoryProperty getWorkingDirectory()
Returns the working directory property for this test.

Since:
  4.4

### createTestExecuter

protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.XCTestTestExecutionSpec> createTestExecuter()
Description copied from class: `AbstractTestTask`
Creates test executer. For internal use only.

Specified by:
  `createTestExecuter` in class `AbstractTestTask`

### getRunScript

@SkipWhenEmpty @Optional @InputFile protected File getRunScript()
Workaround for when the task is given an input file that doesn't exist

Since:
  4.4